# $Revision: 1.19 $, $Date: 2003/06/24 07:27:57 $
Summary:	tf - TinyFugue - text-mode MUD client
Summary(pl):	tf - TinyFugue - tekstowy klient do MUD-w
Name:		tf
Version:	40s1
Release:	3
License:	GPL
Group:		Applications/Games
Vendor:		Ken Keys (Hawkeye) <hawkeye@tf.tcp.com>
Source0:	ftp://tf.tcp.com/pub/tinyfugue/%{name}-%{version}.tar.gz
# Source0-md5:  db6fa9a1aac0b7f199567d81c4b5c81d
Patch0:		%{name}-filenames.patch
Patch1:		%{name}-%{version}-mccp.patch.gz
URL:		http://tf.tcp.com/~hawkeye/tf/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TinyFugue is a MUD-Client (Multi User Dungeons) that allows the user
to dive into one the most fascinating
Multi-User-Non-Graphic-Fantasy-Role-Playing-Games. Just Enter "tf" and
enjoy your game. This client works in text mode and supports MCCP
compression.

%description -l pl
TinyFugue jest klientem MUD (Multi User Dungeons), ktry pozwala 
uytkownikowi zagbi si w najbardziej fascynujcy wiat
Multi-User-Non-Graphic-Fantasy-Role-Playing-Games. Jest to po prostu
jeden z najlepszych, jeli nie najlepszy klient do gry w MUD-y (wraz
z obsug protokou kompresji MCCP). Oczywicie dla trybu
tekstowego :).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
mv -f unix/Config unix/Config.orig
cat >> unix/Config << EOF
TF="\${T_BIN}/tf-\${TFVER}"
LIBDIR="\${T_SHARE}/tf"
#SYMLINK="$RPM_BUILD_ROOT%{_bindir}/tf"
MAILDIR="/var/mail"
MANPAGE="%{_mandir}/man1/tf.1"
MANTYPE="nroff"
CCFLAGS="%{rpmcflags}"
EOF
cat unix/Config.orig >> unix/Config

%build
T_BIN="%{_bindir}"
T_SHARE="%{_datadir}"
export T_BIN T_SHARE
ans=y sh unixmake files

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_datadir}/%{name}}
install src/tf  $RPM_BUILD_ROOT%{_bindir}/%{name}
install tf-lib/*  $RPM_BUILD_ROOT%{_datadir}/%{name}
install src/tf.1.nroffman $RPM_BUILD_ROOT%{_mandir}/man1/tf.1

cd $RPM_BUILD_ROOT%{_datadir}/%{name}
mv kb-bash.tf bind-bash.tf
mv kb-emacs.tf bind-emacs.tf
mv complete.tf completion.tf
mv factoral.tf factorial.tf
mv filexfer.tf file-xfer.tf
mv local-eg.tf local.tf.sample
mv psh.tf pref-shell.tf
mv spc-page.tf space_page.tf
mv spedwalk.tf speedwalk.tf
mv stack-q.tf stack-queue.tf
mv world-q.tf worldqueue.tf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS README
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*tf
%{_datadir}/%{name}/tf-help*
%{_mandir}/man1/tf.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tf.spec,v $
Revision 1.19  2003/06/24 07:27:57  qboosh
- more pl fixes, sync en description

Revision 1.18  2003/06/23 23:20:48  snurf
- mccp patch moved to cvs (no need for distfiles)

Revision 1.17  2003/06/23 15:49:22  blues
- fixed pl description

Revision 1.16  2003/06/23 15:09:20  snurf
- STBR for Ra

Revision 1.15  2003/06/06 18:43:00  snurf
- cosmetics

Revision 1.14  2003/06/06 09:12:43  snurf
- added MCCP patch

Revision 1.13  2003/05/28 13:02:14  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:27:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/11/05 12:42:51  qboosh
- use proper CFLAGS, added missing help file (#414); release 2

Revision 1.10  2002/08/04 10:28:38  kloczek
- added using more macrocs,
- removed %%{_datadir}/%{name}/README from %files.

Revision 1.9  2002/07/31 10:19:08  leafnode
- applied patch correcting libs filenames
- added manual page
- removed libs symlinks

Revision 1.8  2002/07/30 21:55:37  kloczek
- use new %doc.

Revision 1.7  2002/07/29 08:44:37  leafnode
 - corrected typos
 - removed unnecessary links, definitions

Revision 1.6  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:15:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/07 11:09:28  qboosh
- adapterized, typos, PLDified %%prep,%%build,%%install

Revision 1.2  2001/10/17 07:30:46  qwark
hopefully  this is the end of trouble with install script (some workaround)

Revision 1.1  2001/10/16 21:50:43  qwark
it's itial relase after some troubles with tf install script
 Added Files:
 	tf.spec

Revision 1.0  2001/10/17 23:50:53  qwark
- initial release
Based on spec written for RH
